### Constructor

# Gio NativeSocketAddress new

since: 2.46

#### Declaration [src]

    GSocketAddress*
    g_native_socket_address_new (
      gpointer native,
      gsize len
    )

#### Description [src]

Creates a new `GNativeSocketAddress` for `native` and `len`.

Available since: 2.46

#### Parameters

`native`

  Type: `gpointer`

  A native address object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`len`

  Type: `gsize`

  The length of `native`, in bytes.

#### Return value

Type: `GSocketAddress`

A new `GNativeSocketAddress`.

The caller of the function takes ownership of the data, and is responsible for freeing it.